Loading...
Searching...
No Matches
pcl::vtkXRenderWindowInteractor Class Reference

`#include <pcl/visualization/vtk/vtkFixedXRenderWindowInteractor.h>`

Inheritance diagram for pcl::vtkXRenderWindowInteractor:

## Public Member Functions

| vtkXRenderWindowInteractor (const vtkXRenderWindowInteractor &)=delete
void | operator= (const vtkXRenderWindowInteractor &)=delete
| vtkTypeMacro (vtkXRenderWindowInteractor, vtkRenderWindowInteractor)
void | PrintSelf (ostream &os, vtkIndent indent) override
void | Initialize () override
| Initializes the event handlers without an XtAppContext.
void | TerminateApp () override
| Break the event loop on 'q','e' keypress.
void | ProcessEvents () override
| Run the event loop and return.
void | UpdateSize (int, int) override
| Update the Size data member and set the associated RenderWindow's size.
void | GetMousePosition (int *x, int *y) override
| Re-defines virtual function to get mouse position by querying X-server.
void | DispatchEvent (XEvent *)
void | Enable () override
| Enable/Disable interactions.
void | Disable () override

## Static Public Member Functions

static vtkXRenderWindowInteractor * | New ()

## Protected Member Functions

| vtkXRenderWindowInteractor ()
| ~vtkXRenderWindowInteractor () override
void | UpdateSizeNoXResize (int, int)
| Update the Size data member and set the associated RenderWindow's size but do not resize the XWindow.
void | FireTimers ()
void | StartEventLoop () override
| This will start up the X event loop and never return.
void | Finalize ()
| Deallocate X resource that may have been allocated Also calls finalize on the render window if available.
int | InternalCreateTimer (int timerId, int timerType, unsigned long duration) override
| X-specific internal timer methods.
int | InternalDestroyTimer (int platformTimerId) override

## Protected Attributes

Display * | DisplayId
bool | OwnDisplay = false
Window | WindowId
Atom | KillAtom
int | PositionBeforeStereo [2]
vtkXRenderWindowInteractorInternals * | Internal
int | XdndSourceVersion
Window | XdndSource
Atom | XdndFormatAtom
Atom | XdndURIListAtom
Atom | XdndTypeListAtom
Atom | XdndEnterAtom
Atom | XdndPositionAtom
Atom | XdndDropAtom
Atom | XdndActionCopyAtom
Atom | XdndStatusAtom
Atom | XdndFinishedAtom

## Static Protected Attributes

static int | NumAppInitialized

## Detailed Description

Definition at line 43 of file vtkFixedXRenderWindowInteractor.h.

## Constructor & Destructor Documentation

## vtkXRenderWindowInteractor() [1/2]

pcl::vtkXRenderWindowInteractor::vtkXRenderWindowInteractor | ( | const vtkXRenderWindowInteractor & |  | ) |

delete

References vtkXRenderWindowInteractor().

Referenced by New(), operator=(), vtkTypeMacro(), and vtkXRenderWindowInteractor().

## vtkXRenderWindowInteractor() [2/2]

pcl::vtkXRenderWindowInteractor::vtkXRenderWindowInteractor | ( |  | ) |

protected

## ~vtkXRenderWindowInteractor()

pcl::vtkXRenderWindowInteractor::~vtkXRenderWindowInteractor | ( |  | ) |

override protected

## Member Function Documentation

## Disable()

void pcl::vtkXRenderWindowInteractor::Disable | ( |  | ) |

override

## DispatchEvent()

void pcl::vtkXRenderWindowInteractor::DispatchEvent | ( | XEvent * |  | ) |

## Enable()

void pcl::vtkXRenderWindowInteractor::Enable | ( |  | ) |

override

Enable/Disable interactions.

By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed.

## Finalize()

void pcl::vtkXRenderWindowInteractor::Finalize | ( |  | ) |

protected

Deallocate X resource that may have been allocated Also calls finalize on the render window if available.

## FireTimers()

void pcl::vtkXRenderWindowInteractor::FireTimers | ( |  | ) |

protected

## GetMousePosition()

void pcl::vtkXRenderWindowInteractor::GetMousePosition | ( | int * | x,
|  | int * | y )

override

Re-defines virtual function to get mouse position by querying X-server.

## Initialize()

void pcl::vtkXRenderWindowInteractor::Initialize | ( |  | ) |

override

Initializes the event handlers without an XtAppContext.

This is good for when you don't have a user interface, but you still want to have mouse interaction.

## InternalCreateTimer()

int pcl::vtkXRenderWindowInteractor::InternalCreateTimer | ( | int | timerId,
|  | int | timerType,
|  | unsigned long | duration )

override protected

X-specific internal timer methods.

See the superclass for detailed documentation.

## InternalDestroyTimer()

int pcl::vtkXRenderWindowInteractor::InternalDestroyTimer | ( | int | platformTimerId | ) |

override protected

## New()

vtkXRenderWindowInteractor * pcl::vtkXRenderWindowInteractor::New | ( |  | ) |

static

References vtkXRenderWindowInteractor().

## operator=()

void pcl::vtkXRenderWindowInteractor::operator= | ( | const vtkXRenderWindowInteractor & |  | ) |

delete

References vtkXRenderWindowInteractor().

## PrintSelf()

void pcl::vtkXRenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

override

## ProcessEvents()

void pcl::vtkXRenderWindowInteractor::ProcessEvents | ( |  | ) |

override

Run the event loop and return.

This is provided so that you can implement your own event loop but yet use the vtk event handling as well.

## StartEventLoop()

void pcl::vtkXRenderWindowInteractor::StartEventLoop | ( |  | ) |

override protected

This will start up the X event loop and never return.

If you call this method it will loop processing X events until the application is exited.

## TerminateApp()

void pcl::vtkXRenderWindowInteractor::TerminateApp | ( |  | ) |

override

Break the event loop on 'q','e' keypress.

Want more ???

## UpdateSize()

void pcl::vtkXRenderWindowInteractor::UpdateSize | ( | int | ,
|  | int | )

override

Update the Size data member and set the associated RenderWindow's size.

## UpdateSizeNoXResize()

void pcl::vtkXRenderWindowInteractor::UpdateSizeNoXResize | ( | int | ,
|  | int | )

protected

Update the Size data member and set the associated RenderWindow's size but do not resize the XWindow.

## vtkTypeMacro()

pcl::vtkXRenderWindowInteractor::vtkTypeMacro | ( | vtkXRenderWindowInteractor | ,
|  | vtkRenderWindowInteractor | )

References vtkXRenderWindowInteractor().

## Member Data Documentation

## DisplayId

Display* pcl::vtkXRenderWindowInteractor::DisplayId

protected

Definition at line 112 of file vtkFixedXRenderWindowInteractor.h.

## Internal

vtkXRenderWindowInteractorInternals* pcl::vtkXRenderWindowInteractor::Internal

protected

Definition at line 117 of file vtkFixedXRenderWindowInteractor.h.

## KillAtom

Atom pcl::vtkXRenderWindowInteractor::KillAtom

protected

Definition at line 115 of file vtkFixedXRenderWindowInteractor.h.

## NumAppInitialized

int pcl::vtkXRenderWindowInteractor::NumAppInitialized

static protected

Definition at line 110 of file vtkFixedXRenderWindowInteractor.h.

## OwnDisplay

bool pcl::vtkXRenderWindowInteractor::OwnDisplay = false

protected

Definition at line 113 of file vtkFixedXRenderWindowInteractor.h.

## PositionBeforeStereo

int pcl::vtkXRenderWindowInteractor::PositionBeforeStereo[2]

protected

Definition at line 116 of file vtkFixedXRenderWindowInteractor.h.

## WindowId

Window pcl::vtkXRenderWindowInteractor::WindowId

protected

Definition at line 114 of file vtkFixedXRenderWindowInteractor.h.

## XdndActionCopyAtom

Atom pcl::vtkXRenderWindowInteractor::XdndActionCopyAtom

protected

Definition at line 128 of file vtkFixedXRenderWindowInteractor.h.

## XdndDropAtom

Atom pcl::vtkXRenderWindowInteractor::XdndDropAtom

protected

Definition at line 127 of file vtkFixedXRenderWindowInteractor.h.

## XdndEnterAtom

Atom pcl::vtkXRenderWindowInteractor::XdndEnterAtom

protected

Definition at line 125 of file vtkFixedXRenderWindowInteractor.h.

## XdndFinishedAtom

Atom pcl::vtkXRenderWindowInteractor::XdndFinishedAtom

protected

Definition at line 130 of file vtkFixedXRenderWindowInteractor.h.

## XdndFormatAtom

Atom pcl::vtkXRenderWindowInteractor::XdndFormatAtom

protected

Definition at line 122 of file vtkFixedXRenderWindowInteractor.h.

## XdndPositionAtom

Atom pcl::vtkXRenderWindowInteractor::XdndPositionAtom

protected

Definition at line 126 of file vtkFixedXRenderWindowInteractor.h.

## XdndSource

Window pcl::vtkXRenderWindowInteractor::XdndSource

protected

Definition at line 121 of file vtkFixedXRenderWindowInteractor.h.

## XdndSourceVersion

int pcl::vtkXRenderWindowInteractor::XdndSourceVersion

protected

Definition at line 120 of file vtkFixedXRenderWindowInteractor.h.

## XdndStatusAtom

Atom pcl::vtkXRenderWindowInteractor::XdndStatusAtom

protected

Definition at line 129 of file vtkFixedXRenderWindowInteractor.h.

## XdndTypeListAtom

Atom pcl::vtkXRenderWindowInteractor::XdndTypeListAtom

protected

Definition at line 124 of file vtkFixedXRenderWindowInteractor.h.

## XdndURIListAtom

Atom pcl::vtkXRenderWindowInteractor::XdndURIListAtom

protected

Definition at line 123 of file vtkFixedXRenderWindowInteractor.h.

The documentation for this class was generated from the following file:

- pcl/visualization/vtk/vtkFixedXRenderWindowInteractor.h